#! /bin/sh
# $Id: pop3d-ssl.rc.in,v 1.15 2005/07/02 01:13:56 mrsam Exp $
#
# Copyright 1998 - 2005 Double Precision, Inc.
# See COPYING for distribution information.


prefix=/usr/local
exec_prefix=/usr/local
bindir=${exec_prefix}/bin
libexecdir=/usr/local/libexec/courier-imap

if test ! -f /usr/local/etc/courier-imap/pop3d
then
	echo "/usr/local/etc/courier-imap/pop3d does not exist, forgot make install-configure?"
	exit 1
fi

if test ! -f /usr/local/etc/courier-imap/pop3d-ssl
then
	echo "/usr/local/etc/courier-imap/pop3d-ssl does not exist, forgot make install-configure?"
	exit 1
fi


. /usr/local/etc/courier-imap/pop3d
. /usr/local/etc/courier-imap/pop3d-ssl

case $1 in
start)
	/usr/bin/env -i /bin/sh -c " set -a ;
		prefix=/usr/local ;
		exec_prefix=/usr/local ;
		bindir=${exec_prefix}/bin ;
		libexecdir=/usr/local/libexec/courier-imap ;
		. /usr/local/etc/courier-imap/pop3d ; \
		. /usr/local/etc/courier-imap/pop3d-ssl ; \
		PROXY_HOSTNAME=$PROXY_HOSTNAME ; \
		POP3_TLS=1; \
		POP3_STARTTLS=NO; \
		POP3_TLS_REQUIRED=0; \
		/usr/local/sbin/courierlogger -pid=$SSLPIDFILE -start $SSLLOGGEROPTS \
		/usr/local/libexec/courier-imap/couriertcpd -address=$SSLADDRESS \
			-maxprocs=$MAXDAEMONS -maxperip=$MAXPERIP \
			$TCPDOPTS \
			$SSLPORT $COURIERTLS -server -tcpd \
				${exec_prefix}/sbin/pop3login \
				${exec_prefix}/bin/pop3d ${MAILDIRPATH}"
	;;
stop)
	/usr/local/sbin/courierlogger -pid=$SSLPIDFILE -stop
	;;
esac
exit 0
